package com.zcloud.basic.info.persistence.repository;

import com.zcloud.basic.info.persistence.dataobject.UserJobHandoverDO;
import com.alibaba.cola.dto.SingleResponse;
import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;

import java.util.Map;
import java.util.List;

/**
 * web-infrastructure
 *
 * @Author SondonYong
 * @Date 2025-12-02 14:08:57
 */
public interface UserJobHandoverRepository extends BaseRepository<UserJobHandoverDO> {

    PageResponse<UserJobHandoverDO> listPage(Map<String, Object> params);

    List<UserJobHandoverDO> list(Map<String, Object> params);

    SingleResponse<UserJobHandoverDO> getInfoById(Long id);

    List<UserJobHandoverDO> getListByChangerRecordId(String userChangeRecordId);

    void processUserJobHandover(String userChangeRecordId);

    List<UserJobHandoverDO> getListByUserId(Long userId, Long corpinfoId);

    void deleteUserJob(Long id, Long corpinfoId);
}

